com.amazonaws.services.codecommit.model

## Class UserInfo

- java.lang.Object
- - com.amazonaws.services.codecommit.model.UserInfo

All Implemented Interfaces:
  Serializable, Cloneable

    public class UserInfo
    extends Object
    implements Serializable, Cloneable

Information about the user who made a specified commit.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UserInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UserInfo` `clone()`
`boolean` `equals(Object obj)`
`String` `getDate()` The date when the specified commit was pushed to the repository.
`String` `getEmail()` The email address associated with the user who made the commit, if any.
`String` `getName()` The name of the user who made the specified commit.
`int` `hashCode()`
`void` `setDate(String dateValue)` The date when the specified commit was pushed to the repository.
`void` `setEmail(String email)` The email address associated with the user who made the commit, if any.
`void` `setName(String name)` The name of the user who made the specified commit.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UserInfo` `withDate(String dateValue)` The date when the specified commit was pushed to the repository.
`UserInfo` `withEmail(String email)` The email address associated with the user who made the commit, if any.
`UserInfo` `withName(String name)` The name of the user who made the specified commit.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UserInfo

    public UserInfo()

### Method Detail

#### setName

    public void setName(String name)

The name of the user who made the specified commit.

Parameters:
  `name` - The name of the user who made the specified commit.

#### getName

    public String getName()

The name of the user who made the specified commit.

Returns:
  The name of the user who made the specified commit.

#### withName

    public UserInfo withName(String name)

The name of the user who made the specified commit.

Parameters:
  `name` - The name of the user who made the specified commit.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEmail

    public void setEmail(String email)

The email address associated with the user who made the commit, if any.

Parameters:
  `email` - The email address associated with the user who made the commit, if any.

#### getEmail

    public String getEmail()

The email address associated with the user who made the commit, if any.

Returns:
  The email address associated with the user who made the commit, if any.

#### withEmail

    public UserInfo withEmail(String email)

The email address associated with the user who made the commit, if any.

Parameters:
  `email` - The email address associated with the user who made the commit, if any.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDate

    public void setDate(String dateValue)

The date when the specified commit was pushed to the repository.

Parameters:
  `dateValue` - The date when the specified commit was pushed to the repository.

#### getDate

    public String getDate()

The date when the specified commit was pushed to the repository.

Returns:
  The date when the specified commit was pushed to the repository.

#### withDate

    public UserInfo withDate(String dateValue)

The date when the specified commit was pushed to the repository.

Parameters:
  `dateValue` - The date when the specified commit was pushed to the repository.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UserInfo clone()

Overrides:
  `clone` in class `Object`